﻿ScriptName LaulaISMEffectScript extends ActiveMagicEffect

;Properties
Message Property LaulaISMMessagebox auto
Potion Property LaulaISMPotion auto
ImageSpaceModifier Property LaulaISMDreamy auto
ImageSpaceModifier Property LaulaISMDark auto
ImageSpaceModifier Property LaulaISMSatu auto
ImageSpaceModifier Property LaulaISMSepia auto
ImageSpaceModifier Property LaulaISMCold auto
ImageSpaceModifier Property LaulaISMWarm auto
ImageSpaceModifier Property LaulaISMMidnight auto

LaulaISMQuestScript Property MyQuest auto

;/
Dreamy: Unschärfeeffekt + Pastell + Himmel heller
Dark: Allgemein dunkler, warmer Braunton
Satu: Mehr Sättigung und Schärfe 
Sepia: Greyscale
Cold: Blaustich und Schärfe
Warm: Violettstich
Midnight: Ganz dunkel

/;

;Variables
Int iButton
Actor Player

; Imports
Import Game
Import ImageSpaceModifier

Event OnEffectStart (Actor akTarget, Actor akCaster)

	Player = GetPlayer()
	Player.AddItem(LaulaISMPotion,1,true)
	RegisterForUpdate(1)

EndEvent


;Event OnEffectFinish (Actor akTarget, Actor akCaster)
Event OnUpdate()

	iButton = LaulaISMMessagebox.Show(MyQuest.DreamyOn, MyQuest.SatuOn, MyQuest.DarkOn, MyQuest.MidnightOn, MyQuest.ColdOn,  MyQuest.WarmOn, MyQuest.SepiaOn)



	If iButton == 0
		If MyQuest.DreamyOn == 0
			LaulaISMDreamy.Apply()
			MyQuest.DreamyOn = 1
			iButton = 0
			;Debug.Notification("Test")
			UnregisterForUpdate()
		Else
			LaulaISMDreamy.Remove()
			MyQuest.DreamyOn = 0 
			iButton = 0
			UnregisterForUpdate()
		EndIf

	ElseIf iButton == 2
		If MyQuest.DarkOn == 0
			LaulaISMDark.Apply()
			MyQuest.DarkOn = 1
			iButton = 0
			UnregisterForUpdate()
		Else
			LaulaISMDark.Remove()
			MyQuest.DarkOn = 0
			iButton = 0
			UnregisterForUpdate()
		EndIf

	ElseIf iButton == 1
		If MyQuest.SatuOn == 0
			LaulaISMSatu.Apply()
			MyQuest.SatuOn = 1
			iButton = 0
			UnregisterForUpdate()
		Else
			LaulaISMSatu.Remove()
			MyQuest.SatuOn = 0
			iButton = 0
			UnregisterForUpdate()
		EndIf

	ElseIf iButton == 6
		If MyQuest.SepiaOn == 0
			LaulaISMSepia.Apply()
			MyQuest.SepiaOn = 1
			iButton = 0
			UnregisterForUpdate()
		Else
			LaulaISMSepia.Remove()
			MyQuest.SepiaOn = 0
			iButton = 0
			UnregisterForUpdate()
		EndIf
		
	ElseIf iButton == 4
		If MyQuest.ColdOn == 0
			LaulaISMCold.Apply()
			MyQuest.ColdOn = 1
			iButton = 0
			UnregisterForUpdate()
		Else
			LaulaISMCold.Remove()
			MyQuest.ColdOn = 0
			iButton = 0
			UnregisterForUpdate()
		EndIf

	ElseIf iButton == 5
		If MyQuest.WarmOn == 0
			LaulaISMWarm.Apply()
			MyQuest.WarmOn = 1
			iButton = 0
			UnregisterForUpdate()
		Else
			LaulaISMWarm.Remove()
			MyQuest.WarmOn = 0
			iButton = 0
			UnregisterForUpdate()
		EndIf

	ElseIf iButton == 3
		If MyQuest.MidnightOn == 0
			LaulaISMMidnight.Apply()
			MyQuest.MidnightOn = 1
			iButton = 0
			UnregisterForUpdate()
		Else
			LaulaISMMidnight.Remove()
			MyQuest.MidnightOn = 0
			iButton = 0
			UnregisterForUpdate()
		EndIf
	
	Else  
		iButton = 0
		UnregisterForUpdate()
	EndIf

EndEvent